VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - i -

- id : PresetFile::Entry , ParameterChangeTransfer::ParameterChange
- ID() : ClassInfo
- id2index : ParameterContainer
- images : Module::Snapshot
- IndexMap : ParameterContainer
- info : ProgramList , PluginFactory , Unit
- init() : ParameterContainer , ParamChanges , ObjCClassBuilder
- initialize() : SingleComponentEffect , PlugProvider , Component , ComponentBase , EditController
- instance() : PluginContextFactory , MidiIO , TestDefaults
- isActive() : Bus , BypassProcessor< T >
- isAttached() : CPluginView
- isBundle() : Module
- isBypassed : Vst2xState
- isEnabled() : DataExchangeHandler , MidiIO
- isMainThread() : IDataExchangeHandlerHost
- isMidiNetworkEnabled() : MidiIO
- isPlatformTypeSupported() : VSTGUIEditor , CPluginView
- isPlugInterfaceSupported() : PlugInterfaceSupport
- isProcessorInactive() : IDataExchangeHandlerHost
- isValidBus() : HostProcessData

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.